## org.gnu.gdk
Class Gdk

    java.lang.Object
      org.gnu.gdk.Gdk

public class Gdk
extends java.lang.Object

Constructor Summary
`Gdk()`

Method Summary
`static void` `beep()` Emits a short beep.
`static void` `flush()` Flushes the X output buffer and waits until all requests have been processed by the server.
`static Dimension` `getScreenDimension()` Get the default dimensions of the screen.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Gdk

    public Gdk()

Method Detail

### getScreenDimension

    public static Dimension getScreenDimension()

  Get the default dimensions of the screen.

### beep

    public static void beep()

  Emits a short beep.

### flush

    public static void flush()

  Flushes the X output buffer and waits until all requests have been processed by the server. This is rarely needed by applications.

  Since:
    2.8.1